/// <reference types="bluebird" />
import { Middleware } from 'redux';
import * as Bluebird from 'bluebird';
import { Action, Dispatch } from './action';
export declare const EMISSION_DISPATCH: string;
export declare const EMISSION_GET_STATE: string;
export interface EmissionSideEffect<T> {
    (dispatch: Dispatch, getState: () => any): T;
}
export declare function emit<T>(action: Action<any, any>, sideEffect: EmissionSideEffect<T>): Bluebird<T>;
export declare const emissionMiddleware: Middleware;
