"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var AbstractType_1 = require('./AbstractType');
var ObjectType = (function (_super) {
    __extends(ObjectType, _super);
    function ObjectType(typeName) {
        if (typeName === void 0) { typeName = 'Object'; }
        _super.call(this);
        this.objectTypeName = typeName;
    }
    Object.defineProperty(ObjectType.prototype, "typeName", {
        get: function () {
            return this.objectTypeName;
        },
        enumerable: true,
        configurable: true
    });
    ObjectType.is = function (obj) {
        return obj instanceof ObjectType;
    };
    ObjectType.create = function (typeName) {
        return new ObjectType(typeName);
    };
    return ObjectType;
}(AbstractType_1.default));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ObjectType;
