"use strict";
var AbstractType_1 = require('./AbstractType');
exports.AbstractType = AbstractType_1.default;
var EnumType_1 = require('./EnumType');
exports.EnumType = EnumType_1.default;
var BooleanType_1 = require('./BooleanType');
exports.BooleanType = BooleanType_1.default;
var DoubleType_1 = require('./DoubleType');
exports.DoubleType = DoubleType_1.default;
var IntegerType_1 = require('./IntegerType');
exports.IntegerType = IntegerType_1.default;
var StringType_1 = require('./StringType');
exports.StringType = StringType_1.default;
var ObjectType_1 = require('./ObjectType');
exports.ObjectType = ObjectType_1.default;
var DateType_1 = require('./DateType');
exports.DateType = DateType_1.default;
var RangeType_1 = require('./RangeType');
exports.RangeType = RangeType_1.default;
exports.DataTypes = {
    BOOLEAN: BooleanType_1.default.create,
    DATE: DateType_1.default.create,
    DOUBLE: DoubleType_1.default.create,
    ENUM: EnumType_1.default.create,
    INTEGER: IntegerType_1.default.create,
    OBJECT: ObjectType_1.default.create,
    RANGE: RangeType_1.default.create,
    STRING: StringType_1.default.create,
};
