"use strict";
var main_1 = require('../../main');
var Role_1 = require('./Role');
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = main_1.createModel({ name: 'User', owner: null }, function (_a) {
    var attribute = _a.attribute, relation = _a.relation;
    attribute.primaryKey({ name: 'id' });
    attribute({ name: 'firstName', type: main_1.DataTypes.STRING() });
    attribute({ name: 'lastName', type: main_1.DataTypes.STRING() });
    relation.master({
        alias: 'role',
        ownAliasOnTarget: 'users',
        target: Role_1.default,
    });
});
