"use strict";
var pretur_fetch_1 = require('pretur.fetch');
function fetch(options) {
    return pretur_fetch_1.default(options.url, {
        body: JSON.stringify(options.body),
        credentials: 'include',
        headers: {
            'Content-Type': 'application/json',
        },
        method: options.method || 'GET',
    }).then(function (response) {
        return response.json().then(function (responseBody) {
            return {
                body: responseBody,
                ok: response.ok,
                status: response.status,
                statusText: response.statusText,
            };
        });
    });
}
exports.fetch = fetch;
