import { I18nBundle } from 'pretur.i18n';
export interface ValidatorDescriptor {
    name: string;
    key: string;
    params: any[];
}
export interface Validator<T> {
    (value: T): I18nBundle | null;
}
export declare function compose<T>(...validators: Validator<T>[]): Validator<T>;
