"use strict";
function integer(key) {
    return function integerValidator(num) {
        if (typeof num !== 'number' || !isFinite(num) || Math.floor(num) !== num) {
            return { key: key, data: { VALUE: num } };
        }
        return null;
    };
}
exports.integer = integer;
