"use strict";
function nonEmptyString(key) {
    return function nonEmptyStringValidator(str) {
        if (!str || !/\S/.test(str)) {
            return {
                key: key,
                data: { VALUE: str },
            };
        }
        return null;
    };
}
exports.nonEmptyString = nonEmptyString;
