/// <reference types="handlebars" />
export declare function safe(str: string): hbs.SafeString;
export declare function toLower(str: string): hbs.SafeString;
export declare function toUpper(str: string): hbs.SafeString;
export declare function camel(str: string): hbs.SafeString;
export declare function pascal(str: string): hbs.SafeString;
export declare function underscore(str: string): hbs.SafeString;
export declare function plural(str: string): hbs.SafeString;
export declare function singular(str: string): hbs.SafeString;
export declare function basename(str: string): hbs.SafeString;
export declare function dirname(str: string): hbs.SafeString;
export declare function literal(value: any): hbs.SafeString;
export declare function dedup(array: any[], path?: string): any[];
export declare function concat(...arrays: any[][]): any[];
export declare function filter(array: any[], path: string): any[];
