import { Action, Dispatch } from 'pretur.redux';
import { QueryPagination } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
export default class Paginator extends UniqueReducible {
    private skipItems?;
    private takeItems?;
    constructor(pagination?: QueryPagination);
    readonly skip: number | null;
    readonly take: number | null;
    readonly plain: QueryPagination | null;
    reduce(action: Action<any, any>): this;
    set(dispatch: Dispatch, skip?: number, take?: number): void;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
