"use strict";
var redux_1 = require('redux');
var emission_1 = require('./emission');
var thunkMiddleware = require('redux-thunk')['default'];
var createLoggerMiddleware = require('redux-logger');
function createStore(topLevelReducer, log) {
    if (log === void 0) { log = false; }
    if (log) {
        return redux_1.createStore(topLevelReducer, redux_1.applyMiddleware(thunkMiddleware, emission_1.emissionMiddleware, createLoggerMiddleware()));
    }
    return redux_1.createStore(topLevelReducer, redux_1.applyMiddleware(thunkMiddleware, emission_1.emissionMiddleware));
}
exports.createStore = createStore;
