"use strict";
var chai_1 = require('chai');
var DateType_1 = require('./DateType');
describe('DateType', function () {
    it('should correctly instantiate and identify a date datatype', function () {
        var d = DateType_1.default.create();
        chai_1.expect(d.typeName).to.be.equals('Date');
        chai_1.expect(DateType_1.default.is(d)).to.be.true;
    });
    it('should properly override the typeName', function () {
        var d = DateType_1.default.create('string');
        chai_1.expect(d.typeName).to.be.equals('string');
    });
});
