"use strict";
var chai_1 = require('chai');
var ObjectType_1 = require('./ObjectType');
describe('ObjectType', function () {
    it('should correctly instantiate and identify an object datatype', function () {
        var o = ObjectType_1.default.create();
        chai_1.expect(o.typeName).to.be.equals('Object');
        chai_1.expect(ObjectType_1.default.is(o)).to.be.true;
    });
    it('should properly override the typeName', function () {
        var d = ObjectType_1.default.create('any');
        chai_1.expect(d.typeName).to.be.equals('any');
    });
});
