"use strict";
var IBANValidator = require('iban');
function iban(key) {
    return function ibanValidator(str) {
        if (!str) {
            return null;
        }
        if (!IBANValidator.isValid(str)) {
            return {
                key: key,
                data: { VALUE: str },
            };
        }
        return null;
    };
}
exports.iban = iban;
