"use strict";
function numeric(key) {
    return function numericValidator(str) {
        if (!str) {
            return null;
        }
        var value = Number(str);
        if (isNaN(value)) {
            return { key: key, data: { VALUE: str } };
        }
        return null;
    };
}
exports.numeric = numeric;
