"use strict";
function positive(key) {
    return function positiveValidator(num) {
        if (typeof num !== 'number' || isNaN(num) || num <= 0) {
            return {
                key: key,
                data: { VALUE: num },
            };
        }
        return null;
    };
}
exports.positive = positive;
